<?php if ( is_home() || is_front_page() ) : ?>

<!-- feature post -->

    <section id="feature_post" class="feature-holder outer-categories">
        <div class ="container-fluid">
        <h2 class ="section-title text-center"> <?php echo esc_html(get_theme_mod('glamour_magazine_feature_post_title',__('Feature post','glamour-magazine'))) ?></h2>
        <div class="row">
        <?php $args = array( 
            'post_type' => 'post',
            'category_name' => esc_attr(get_theme_mod('glamour_magazine_feature_post_categorylist','')),
            'author'	   => esc_attr(get_theme_mod ('glamour_magazine_feature_post_authorlist','')),
            'orderby' => array( esc_attr(get_theme_mod('glamour_magazine_feature_post_order', 'date')) => 'DSC', 'date' => 'DSC'),
            'order'     => 'DSC',
            'posts_per_page' => absint(get_theme_mod( 'glamour_magazine_feature_post_noofpost','3' )),
            );
            $listings = new WP_Query( $args );
            if ( $listings->have_posts() ) :

            /* Start the Loop */
            while ( $listings->have_posts() ) :
                    $listings->the_post();
                if (is_sticky()) { 

                    } else {
                ?>
                    <div class="col-md-4 mt-4">
                        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                            <div class="cat-holder wow fadeInUp" data-wow-duration="3s">
                                <div class="img-holder">
                                <?php
                                if ( ! has_post_thumbnail() ) { ?>
                                    <div>
                                        <img  src = "<?php echo esc_url( get_template_directory_uri() ); ?>/images/woman-3208045_1920-361x175.jpg " >
                                    </div>
                                <?php } else if ( has_post_thumbnail() ) {
                                    glamour_magazine_feature_display_thumbnail();
                                }
                                ?>
                                </div>
                                <?php 
                                if (absint(get_theme_mod('glamour_magazine_feature_post_post_taxonomy_Category','1')) == 1) {
                                $categories = get_the_category();
                                if ( ! empty( $categories ) ) {
                                    echo '<a class=" btn" href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a>';
                                }
                                }
                                ?>
                            </div>
                        </article><!-- #post-<?php the_ID(); ?> -->

                    </div>
                    <?php }
                endwhile;
                wp_reset_postdata();
            else :
                get_template_part( 'template-parts/content', 'none' );
            endif;
            ?>
        </div>
        </div>
    </section>
<?php endif; 
