<section>
    <?php $orig_post = $post;
    $categories = get_the_category($post->ID);
    if ($categories) {
    $category_ids = array();
    foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
    $args=array(
    'category__in' => $category_ids,
    'orderby' => array( esc_attr(get_theme_mod('glamour_magazine_related_post_order', 'date')) => 'DSC', 'date' => 'DSC'),
    'post__not_in' => array($post->ID),
    'posts_per_page'=> absint(get_theme_mod( 'glamour_magazine_related_post_noofpost' ,'2')),
    'ignore_sticky_posts'=>1
    );

    $my_query = new wp_query( $args );
    if( $my_query->have_posts() ) { ?> 
    <div class="related-posts">
        <div class="title-holder text-center other-title">
            <h2><span><?php echo esc_html(get_theme_mod('glamour_magazine_related_post_title',__('Related Posts','glamour-magazine'))); ?></span></h2>
        </div>
        <div class="row">
        <?php while( $my_query->have_posts() ) {
            $my_query->the_post();?>
            <div class="col-md-6">
                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <div class="card">
                    <?php if ( ! has_post_thumbnail() ) { ?>
                            <div>
                                <img  class="card-img-top" src = "<?php echo esc_url( get_template_directory_uri() ); ?>/images/baby-887833_1920-360x250.jpg " >
                            </div>
                        <?php } else if ( has_post_thumbnail() ) {
                            glamour_magazine_post_thumbnail();
                        } ?>
                        <div class="card-body">
                            <header class="entry-header">
                                <div class="tag-date-comment">
                                    <?php glamour_magazine_cat(); ?>
                                    <ul class="date-comment">
                                        <li> <?php glamour_magazine_posted_on() ?></li>
                                        <li><?php  glamour_magazine_edit_post() ?></li>
                                    </ul>
                                    <span class ="tag"> <?php glamour_magazine_post_tag() ?></span>
                                </div>
                                <?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
                            </header>
                                <?php the_excerpt(); ?>
                                <footer class="entry-footer">
                                    <?php glamour_magazine_modal(); ?>
                                </footer>
                        </div>
                    </div>
                </article>
            </div>
        <?php }
        wp_reset_postdata(); ?>
        </div>
    </div>
    <?php }
    }
    $post = $orig_post;
    ?></section>